<template>
  <div>
    <v-row justify="center">
      <v-btn
        height="50"
        color="#121d88"
        dark
        @click.stop="dialog = true"
      >
        Add Contact
      </v-btn>

      <v-dialog
        v-model="dialog"
        max-width="350"
      >
        <v-card>
          <v-card-title class="headline">Add contact information</v-card-title>

            <AddNewContactForm />

        </v-card>
      </v-dialog>
    </v-row>
  </div>
</template>

<script>
import AddNewContactForm from './AddNewContactForm'

export default {
  name: 'AddContactBtn',
  components: { AddNewContactForm },
  data() {
    return {
      dialog: false,
    }
  },
  methods: {
    addNewContact() {
      this.$emit('add-contact')
    }
  }
}
</script>
